/*
 * Copyright (c) Haulmont 2023. All Rights Reserved.
 * Use is subject to license terms.
 */


/*
* Checks if current web environment is Jmix Application
* If no jmix main page found so this means that the library does not run in a jmix application
* */
export function isRunningInJmixApplication() {
    let anyJmixHeaders = document.getElementsByClassName("jmix-main-view-header");
    return anyJmixHeaders && anyJmixHeaders.length > 0;
}